# apiDefinitions

API definition details including source files and AI-generated documentation.

### Examples

```graphql
type APIDefinitions {
  source: String
  fileName: String
  link: String
  llmTitle: String
  llmDescription: String
  functions: [ApiSecurityItemFunction]
}
```

### Fields

| Field                                                                                                                                   | Description                                       | Supported fields                                                                                                                                        |
| --------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------- |
| source `String`                                                                                                                         | Source of the API definition                      |                                                                                                                                                         |
| fileName `String`                                                                                                                       | Name of the file containing the API definition    |                                                                                                                                                         |
| link `String`                                                                                                                           | URL link to the API definition file               |                                                                                                                                                         |
| llmTitle `String`                                                                                                                       | AI-generated title for the API                    |                                                                                                                                                         |
| llmDescription `String`                                                                                                                 | AI-generated description of the API functionality |                                                                                                                                                         |
| functions [`[ApiSecurityItemFunction]`](/api-documentation/api-reference/api--api-security/types/objects/api-security-item-function.md) | List of functions that implement this API         | <p>function <code>String</code><br>line <code>Int</code><br>snippet <code>String</code><br>filepath <code>String</code><br>link <code>String</code></p> |

### References

#### Fields with this object:

* [{} ApiSecurityItem.definitions](/api-documentation/api-reference/api--api-security/types/objects/api-security-item.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ox.security/api-documentation/api-reference/api--api-security/types/objects/api-definitions.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
